> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantspring.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a custom group

> Delete a custom product group for a channel.



## OpenAPI

````yaml /api-reference/openapi.json delete /customGroups/{id}
openapi: 3.0.1
info:
  title: MerchantSpring Public API
  version: 1.0.0
servers:
  - url: https://mm-api.merchantspring.io
    description: Production
  - url: https://mm-api-staging.merchantspring.io
    description: Staging
security: []
tags:
  - name: channel
    x-group: Channel
  - name: content-change
    x-group: Content Change
  - name: custom-group
    x-group: Custom Group
  - name: order
    x-group: Order
  - name: report
    x-group: Report
  - name: tag
    x-group: Tag
  - name: profitability
    x-group: Profitability
paths:
  /customGroups/{id}:
    delete:
      tags:
        - custom-group
      summary: Delete a custom group
      description: Delete a custom product group for a channel.
      operationId: deleteCustomGroup
      parameters:
        - name: id
          in: path
          description: Group ID
          required: true
          schema:
            type: string
        - name: channelId
          in: query
          description: Channel ID
          required: true
          schema:
            type: string
        - name: merchantId
          in: query
          description: Merchant ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content: {}
        '400':
          description: Invalid input
          content: {}
      security:
        - api_key: []
components:
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````